#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, q;
    cin >> n >> q;
    vector <int> a;
    int unos, vece, manje, jednako;
    for (int i = 0; i < n; i++)
    {
        cin >> unos;
        a.push_back(unos);
    }
    sort(a.begin(), a.end());
    for (int i = 0; i < q; i++)
    {
        cin >> unos;
        auto levo = lower_bound(a.begin(), a.end(), unos);
        auto desno = upper_bound(a.begin(), a.end(), unos);
        manje = levo - a.begin();
        jednako = desno - levo;
        vece = a.end() - desno;
        if (manje == vece && jednako > 0) cout << 0 << endl;
        else if (manje == vece) cout << 1 << endl;
        else if (vece > manje) cout << vece - manje - jednako + 1;
        else cout << manje - vece - jednako << endl;
    }
}